Groovy 1.7.0

## org.codehaus.groovy.ast.stmt
Class TryCatchStatement

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.stmt.Statement
              org.codehaus.groovy.ast.stmt.TryCatchStatement

    class TryCatchStatement
    extends Statement

Represents a try { ... } catch () finally {} statement in Groovy

author:
  James Strachan

version:
  $Revision: 15807 $

Constructor Summary
`TryCatchStatement(Statement tryStatement, Statement finallyStatement)`

Method Summary
`void` | `addCatch(CatchStatement catchStatement)`
`CatchStatement` | `getCatchStatement(int idx)`
`List` | `getCatchStatements()`
`Statement` | `getFinallyStatement()`
`Statement` | `getTryStatement()`
`void` | `setCatchStatement(int idx, CatchStatement catchStatement)`
`void` | `setFinallyStatement(Statement finallyStatement)`
`void` | `setTryStatement(Statement tryStatement)`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Statement
getStatementLabel, isEmpty, setStatementLabel

Methods inherited from class ASTNode
getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition, visit

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### TryCatchStatement

    public TryCatchStatement(Statement tryStatement, Statement finallyStatement)

Method Detail

### addCatch

    public void addCatch(CatchStatement catchStatement)

### getCatchStatement

    public CatchStatement getCatchStatement(int idx)

  return:
    the catch statement of the given index or null

### getCatchStatements

    public List getCatchStatements()

### getFinallyStatement

    public Statement getFinallyStatement()

### getTryStatement

    public Statement getTryStatement()

### setCatchStatement

    public void setCatchStatement(int idx, CatchStatement catchStatement)

### setFinallyStatement

    public void setFinallyStatement(Statement finallyStatement)

### setTryStatement

    public void setTryStatement(Statement tryStatement)

### visit

    public void visit(GroovyCodeVisitor visitor)

Copyright © 2003-2009 The Codehaus. All rights reserved.